C     ベクトル場  
C       (u,v) = ( A*sin(x)*cos(y), B*cos(x)*sin(y) ) 
C     のデータを出力する

      parameter( xmin = -3.5,  xmax = 3.5,  nx = 30 )
      parameter( ymin = -3.5,  ymax = 3.5,  ny = 30 )

      write(6,*) '# vector field'
      write(6,*) '# (u,v) = ( A*sin(x)*cos(y), B*cos(x)*sin(y) )'
      write(6,*) '# (xmin,xmax) = ', xmin, xmax
      write(6,*) '# (ymin,ymax) = ', ymin, ymax
      
      write(0,*) '(A,B) = ??'
      read (5,*) A,B
      write(6,*) '# (A,B) = ', A, B
      
      dx = (xmax-xmin)/nx
      dy = (ymax-ymin)/ny

      do i=0,nx
         x = xmin + i*dx
         do j=0,ny
            y = ymin + j*dy
            u = A*sin(x)*cos(y)
            v = B*cos(x)*sin(y)
            write(6,*) x,y,u,v
         enddo
      enddo
      
      stop
      end
